#ifndef BATCHMGR_H
#define BATCHMGR_H

//To run the batch processing, kind of a Strategy pattern

class BatchMgr
{
    public:
        BatchMgr();

    private:
        std::list<QFileInfo> _batchList; //Gets decreased as files are processed.
        QTimer _batchTimer; //For waiting until the transform has been built, in batch processing mode.
};

#endif // BATCHMGR_H
