#ifndef HISTWGTSCATTERMGR_H
#define HISTWGTSCATTERMGR_H

#include "../../../globals/globals.h"
#include "../mgr/threadmgr.h"

class HistWidget;
class HistWgtScatterMgr : public ThreadMgr
{
    Q_OBJECT
    public:
        explicit HistWgtScatterMgr(uchar* pixels, const HistWidget* hist_widget);

    virtual WorkerTO* CreateWorkerTO(int thd_num) override;

    private:
        uchar* _pixels;
        const HistWidget* _histWidget;
};

#endif // HISTWGTSCATTERMGR_H
