#ifndef WORKERTO_H
#define WORKERTO_H

#include "../../../globals/globals.h"

class WorkerTO : public QObject
{
    Q_OBJECT
    public:
        explicit WorkerTO(int thd_num);

    signals:
        void Finished(int thd_num, void* result = NULL);

    public slots:
        virtual void Start() = 0;

    protected:
        void WorkFinished(void* result = NULL);

    private:
        int _thdNum;
};

#endif // WORKERTO_H
