#ifndef KMEANSFILEIN_H
#define KMEANSFILEIN_H

#include "inputfilebase.h"

class KMeansFileIn : public InputFileBase
{
    public:
        KMeansFileIn(const std::string& file_name, int num_clusterings, int num_records, int num_samples);
        virtual ~KMeansFileIn() override;

        virtual int Load() override;

    private:
        int _numClusterings, //This is not recorded in the km file
            _numRecords;
};

#endif // KMEANSFILEIN_H
