#ifndef USERCLUFILEIN_H
#define USERCLUFILEIN_H

#include "inputfilebase.h"

class UserCluFileIn : public InputFileBase
{
    public:
        UserCluFileIn(const std::string& full_path);
        virtual ~UserCluFileIn() override {} //The classification is used beyond
            //the lifetime of this file, can't be deleted

        virtual int Load() override;
        void Load(const boost::dynamic_bitset<>& is_scrubbed);

        int NumRecordsAll() const { return _numRecordsAll; }

    private:
        int _numRecordsAll;
};

#endif // USERCLUFILEIN_H
