#ifndef CLUFILE_H
#define CLUFILE_H

#include "outputfilebase.h"

class CluFileOut : public OutputFileBase
{
    public:
        CluFileOut(const QString& file_name, const Classification* cls);
        CluFileOut(const QString& file_name, int max_class, const wv_vector_int* vcluster);

        virtual void Save() const;

    private:
        const int _maxClass;
        const wv_vector_int* _vCluster;
};

#endif // CLUFILE_H
