#ifndef PARFILEOUT_H
#define PARFILEOUT_H

#include "outputfilebase.h"
#include "../../memrep/parameters/cluster/manualpars.h"
#include "../../memrep/specs/clusterspec.h"
#include "../../memrep/wavedata.h"

class ParFileOut : public OutputFileBase
{
    public:
        ParFileOut(const std::string &file_name, const std::string& data_file_name,
                   wv::CLUSTER_ID cid);

        virtual void Save() const override;

    private:
//        void WriteDrawLine(const std::vector<DrawLineBase*>& dls);

        std::string _dataFileName;
        const CluSpecPtr _cluSpec;
        const ParamsPtr _parameters;
        const WaveData* _data;
};

#endif // PARFILEOUT_H
