#ifndef LOG_H
#define LOG_H

#include "globals.h"

void Log(const std::string& message);

class SSLog : public QObject
{
    Q_OBJECT

    friend void Log(const std::string&);

    public:
        static SSLog& Instance();

    signals:
        void WriteToGui(const std::string& message) const;

    private:
        SSLog();
        void WriteMessage(const std::string& message) const;
};

#endif // LOG_H
