#ifndef PROGRESSGUI_H
#define PROGRESSGUI_H

#include "../../globals/globals.h"
#include "../widgets/progressbar.h"

namespace Ui {
    class ProgressGui;
}

class ProgressGui : public QWidget
{
    Q_OBJECT

    public:
        static ProgressGui& Instance();
        ~ProgressGui();

        void AddProgressBar(ProgressBar* progress_bar);
        void RemoveProgressBar(ProgressBar* progress_bar);

    private:
        explicit ProgressGui();
        static ProgressGui* instance;
        Ui::ProgressGui *ui;
        std::mutex _mutex;
};

ProgressGui& pg();

#endif // PROGRESSGUI_H
