#include "progressbar.h"
#include "ui_progressbar.h"

ProgressBar::ProgressBar(const std::string& label, int min, int max) :
    ui(new Ui::ProgressBar)
{
    ui->setupUi(this);
    ui->lblAnalysis->setText(label.c_str());
    ui->prgAnalysis->setRange(min, max);
}

ProgressBar::~ProgressBar()
{
    delete ui;
}

void ProgressBar::SetValue(int value)
{
    ui->prgAnalysis->setValue(value);
}
