#ifndef PROGRESSBAR_H
#define PROGRESSBAR_H

#include "../../globals/globals.h"

namespace Ui {
    class ProgressBar;
}

class ProgressBar : public QWidget
{
    Q_OBJECT

    public:
        explicit ProgressBar(const std::string& label, int min, int max);
        ~ProgressBar();

    public slots:
        void SetValue(int value);

    private:
        Ui::ProgressBar *ui;
};

#endif // PROGRESSBAR_H
