#ifndef KLUSTAKWIKTO_H
#define KLUSTAKWIKTO_H

#include "clusmethodtobase.h"
#include "../../memrep/classification.h"
#include "../../memrep/parameters/cluster/kkparameters.h"
#include "../../memrep/clustermediator.h"

class KlustaKwikTO : public ClusMethodTOBase
{
    Q_OBJECT

    public:
        KlustaKwikTO(wv::CLUSTER_ID cid, wv::TRANSFORM transform, MatCPtr waves,
                     const std::string& wfm_file);
        virtual ~KlustaKwikTO() override {}

        virtual std::string Name() const override { return "KlustaKwik"; }
        virtual wv::CLUSTER_METHOD Method() const override { return wv::KK; }

    public slots:
        virtual void Start() override;
};

#endif // KLUSTAKWIKTO_H
