#ifndef HISTWGTTHREADMGR_H
#define HISTWGTTHREADMGR_H

#include "../../../globals/globals.h"
#include "../../../gui/widgets/histwidget.h"
#include "../mgr/threadmgr.h"

class HistWgtThreadMgr : public ThreadMgr
{
    Q_OBJECT
    public:
        explicit HistWgtThreadMgr(uchar* pixels, const HistWidget* hist_widget, wv::float_t max_val);

    virtual WorkerTO* CreateWorkerTO(int thd_num) override;

    private:
        uchar* _pixels;
        const HistWidget* _histWidget;
        int _maxVal;
};

#endif // HISTWGTTHREADMGR_H
