#ifndef CLUSTERTO_H
#define CLUSTERTO_H

#include "workerto.h"
#include "../../../memrep/clustermediator.h"
#include "../../../analysis/cluster/manualto.h"

class ClusterTO : public WorkerTO
{
    Q_OBJECT

    public:
        ClusterTO(int thd_num, const std::vector<wv::CLUSTER_ID>& cids);

    signals:
        void StartClustering();

    public slots:
        virtual void Start() override;

    private:
        void Cluster(wv::CLUSTER_ID cid);

        std::vector<int> _cids;
};

#endif // CLUSTERTO_H
