#ifndef HISTTO_H
#define HISTTO_H

#include "../../../globals/globals.h"
#include "../../../memrep/specs/wavespaceguispec.h"
#include "../../../memrep/specs/histspec.h"
#include "../worker/workerto.h"

class HistTO : public WorkerTO
{
    Q_OBJECT
    public:
        explicit HistTO(int thd_num, HistSpec hist_spec);

    public slots:
        virtual void Start() override;

    private:
        HistSpec _histSpec;
};

#endif // HISTTO_H
