#ifndef HISTWGTSCATTERTO_H
#define HISTWGTSCATTERTO_H

#include "../../../globals/globals.h"
#include "../../../gui/widgets/histwidget.h"
#include "workerto.h"

class HistWgtScatterTO : public WorkerTO
{
    Q_OBJECT
    public:
        explicit HistWgtScatterTO(int thd_num, uchar* pixels, const HistWidget* hist_widget,
                        int jstart, int jend);

    public slots:
        virtual void Start() override;

    private:
        uchar* _pixels;
        const HistWidget* _histWidget;
        const wv_matrix_int* _matAccept, * _matUnaccept;
        int _histWidth,
            _jStart, _jEnd; //Defines the range of columns that this thread is responsible for
};

#endif // HISTWGTSCATTERTO_H
