#ifndef DB2FILEOUT_H
#define DB2FILEOUT_H

#include "outputfilebase.h"

//For AutoClass
class Db2FileOut : public OutputFileBase
{
    public:
        Db2FileOut(const std::string& name, MatCPtr waves, int samples_begin, int samples_end);
        virtual void Save() const override;

    private:
        MatCPtr _waves;
        int _samplesBegin, _samplesEnd;
};

#endif // DB2FILEOUT_H
