#ifndef SIMPLEASCII_H
#define SIMPLEASCII_H

#include "outputfilebase.h"

class SimpleAscii : public OutputFileBase
{
    public:
        SimpleAscii(const std::string& name, const WaveData* data, const boost::dynamic_bitset<>& accepted);
        virtual void Save() const override;

    private:
        int _numAllRecords;
        boost::dynamic_bitset<> _allIsAccepted; //This incorporates the records that have been scrubbed along
            //with the main set of accepted vs. unaccepted
};

#endif // SIMPLEASCII_H
