#ifndef USERDATAFILEOUT_H
#define USERDATAFILEOUT_H

#include "outputfilebase.h"

class UserDataFileOut : public OutputFileBase
{
    public:
        UserDataFileOut(const std::string& file_name, wv::CLUSTER_ID cid);

        virtual void Save() const override;

    private:
        wv::CLUSTER_ID _cid;
        const Classification* _class;
        int _level;
        wv::TRANSFORM_ID _tid;
        wv::TRANSFORM _transform;
        WaveData* _waveData;
        const boost::dynamic_bitset<>& _isAccepted;
};

#endif // USERDATAFILEOUT_H
