#ifndef LOGGUI_H
#define LOGGUI_H

#include "../../globals/globals.h"

namespace Ui {
    class LogGui;
}

class LogGui : public QWidget
{
    Q_OBJECT

    public:
        explicit LogGui(QWidget *parent = 0);
        ~LogGui();

    public slots:
        void LogMessage(const std::string& message);

    private slots:
        void on_btnClear_clicked();

    private:
        Ui::LogGui *ui;
        std::mutex _mutex;
        std::string _text;
};

#endif // LOGGUI_H
